Skip to main content
GET
/
coupon-list
/
{coupon_list_id}
/
files
Fetch All Coupon Files From Coupon List
curl --request GET \
  --url https://api-0{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/files \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{
  "data": [
    {
      "coupon_list_id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "file_url": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "created_by": "<string>",
      "_id": "<string>",
      "added_coupons": 123,
      "callback_url": "<string>"
    }
  ]
}
There is no request body or content to send for this request except for headers.

Rate Limit

You can fetch 10,000 coupon files from coupon lists per day.

Authorizations

Authorization
string
header
required

Uses Workspace ID as username and API Key as password.

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. The MOE-APPKEY has to be passed in the request. You can find your MoEngage Workspace ID in the MoEngage Dashboard: Settings -> Account -> APIs -> Workspace ID (earlier app id).

Path Parameters

coupon_list_id
string
required

The unique identifier for the coupon list.

Response

Success Indicates that the request was successful and the coupon files have been fetched.

data
object[]